
Ruby - Bug #9313

Segmentation fault with active_record

12/28/2013 11:59 AM - marciotrindade (Marcio Trindade)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: 2.1.0-p0 Backport: 2.1: UNKNOWN

Description

Hi,

I got the same problem with 2 different macbook.

/Users/marciotrindade/.rvm/gems/ruby-2.1.0/gems/activerecord-4.0.2/lib/active_record/transactions.rb:265: [BUG] Segmentation fault

at 0x00000000000018                                                                                                         |  ETA: 00:00:24

ruby 2.1.0p0 (2013-12-25 revision 44422) [x86_64-darwin13.0]

-- Crash Report log information --------------------------------------------

See Crash Report log file under the one of following:

* ~/Library/Logs/CrashReporter

* /Library/Logs/CrashReporter

* ~/Library/Logs/DiagnosticReports

* /Library/Logs/DiagnosticReports

for more details.

-- C level backtrace information -------------------------------------------

0   libruby.2.1.0.dylib                 0x00000001098a57ad rb_vm_bugreport + 141

1   libruby.2.1.0.dylib                 0x000000010976ecad report_bug + 285

2   libruby.2.1.0.dylib                 0x000000010976eb83 rb_bug + 179

3   libruby.2.1.0.dylib                 0x000000010982dd29 sigsegv + 153

4   libsystem_platform.dylib            0x00007fff80d9e5aa _sigtramp + 26

5   libruby.2.1.0.dylib                 0x000000010988d450 vm_exec_core + 10496

6   libsystem_c.dylib                   0x00007fff72b86400 __stack_chk_guard + 0

To see the complete backtrace please visit https://gist.github.com/marciotrindade/8155638

Related issues:

Is duplicate of Ruby - Bug #9309: Crash while running tests Closed 12/27/2013

History

#1 - 12/28/2013 03:51 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Assigned

Crash Report log file, please.

#2 - 12/28/2013 11:56 PM - jcoyne (Justin Coyne)

- File ruby_2013-12-28-084958_Justins-MacBook-Pro-2.crash added

I'm also seeing this segfault, although in a slightly different place in the code.  I've attached a crash log.

/Users/justin/workspace/active_fedora/lib/active_fedora/callbacks.rb:232: [BUG] Segmentation fault at 0x00000000000018

ruby 2.1.0p0 (2013-12-25 revision 44422) [x86_64-darwin13.0]

-- Crash Report log information --------------------------------------------

See Crash Report log file under the one of following:

* ~/Library/Logs/CrashReporter

* /Library/Logs/CrashReporter

* ~/Library/Logs/DiagnosticReports

* /Library/Logs/DiagnosticReports

for more details.
-- Control frame information -----------------------------------------------

c:0036 p:0008 s:0158 e:000156 BLOCK  /Users/justin/workspace/active_fedora/lib/active_fedora/callbacks.rb:232

c:0035 p:0080 s:0155 e:000154 METHOD

/Users/justin/.rbenv/versions/2.1.0/lib/ruby/gems/2.1.0/gems/activesupport-4.0.2/lib/active_support/callbacks.rb:383

c:0034 p:0023 s:0149 e:000148 METHOD

/Users/justin/.rbenv/versions/2.1.0/lib/ruby/gems/2.1.0/gems/activesupport-4.0.2/lib/active_support/callbacks.rb:80

c:0033 p:0009 s:0143 E:0005f8 METHOD /Users/justin/workspace/active_fedora/lib/active_fedora/callbacks.rb:232 [FINISH]

c:0032 p:---- s:0140 e:000139 CFUNC  :call

c:0031 p:0013 s:0137 e:000136 METHOD

/Users/justin/.rbenv/versions/2.1.0/lib/ruby/gems/2.1.0/gems/rspec-mocks-2.14.4/lib/rspec/mocks/message_expectation.rb:572

#3 - 12/28/2013 11:59 PM - jcoyne (Justin Coyne)

I'm also seeing this on Travis-ci, so it's not just a OSX problem. See: https://travis-ci.org/projecthydra/active_fedora/jobs/16047585

#4 - 12/31/2013 03:30 AM - jcoyne (Justin Coyne)

Possible duplicate of https://bugs.ruby-lang.org/issues/9315

#5 - 01/03/2014 06:36 AM - marciotrindade (Marcio Trindade)

Noted that same issue is reported in issue #9309 and resolved with r44458

#6 - 01/03/2014 02:05 PM - zzak (zzak _)

- Status changed from Assigned to Closed

fixed by r44458

#7 - 01/11/2014 02:18 AM - nobu (Nobuyoshi Nakada)

- Is duplicate of Bug #9309: Crash while running tests added

Files

backtrace.txt 254 KB 12/28/2013 marciotrindade (Marcio Trindade)

ruby_2013-12-28-084958_Justins-MacBook-Pro-2.crash 17.1 KB 12/28/2013 jcoyne (Justin Coyne)
